GET http://webapi.mymarketing.co.il/api/smscampaignreport/{id}/Clickers?LinkId={LinkId}&SendType={SendType}&SearchTerm={SearchTerm}&RowsAffected={RowsAffected}&PreviousRowCount={PreviousRowCount}&FromDate={FromDate}&ToDate={ToDate}&Page={Page}&Limit={Limit}
Request Information
URI Parameters
Name
Description
Type
Additional information
id
integer
Required
link_id
integer
send_type
integer
search_term
string
rows_affected
integer
previous_row_count
integer
from_date
The first date the contacts you want were created
date
to_date
The last date the contacts you want were created.(Default values is 3 last months)
date
page
Get a specific page (number of pages is limited)
integer
Range: inclusive between 1 and 2147483647
limit
Limit the number of items you get in the results.
integer
Range: inclusive between 1 and 100
Body Parameters
None.
Response Information
Resource Description
Name
Description
Type
Additional information
count
integer
Response Formats
application/json, text/json
Sample:
{
"clickers": [
{
"contact_id": 1,
"sms": "sample string 1",
"clicks_count": 2
},
{
"contact_id": 1,
"sms": "sample string 1",
"clicks_count": 2
}
],
"count": 1
}
application/xml, text/xml
Sample:
<ApiReportSmsCampaignLinkClickerList xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ActiveTrail.RESTfulApi.Models.SmsCampaignReport">
<clickers>
<ApiReportSmsCampaignLinkClicker>
<clicks_count>2</clicks_count>
<contact_id>1</contact_id>
<sms>sample string 1</sms>
</ApiReportSmsCampaignLinkClicker>
<ApiReportSmsCampaignLinkClicker>
<clicks_count>2</clicks_count>
<contact_id>1</contact_id>
<sms>sample string 1</sms>
</ApiReportSmsCampaignLinkClicker>
</clickers>
<count>1</count>
</ApiReportSmsCampaignLinkClickerList>